{{- if .Values.kubeProxy.enabled }}
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: {{ include "piedeck.fullname" . }}-proxy-rolebinding
  labels:
    {{- include "piedeck.labels" . | nindent 4 }}
    app.kubernetes.io/component: kube-rbac-proxy
    app.kubernetes.io/part-of: piedeck
  annotations:
    {{- include "piedeck.annotations" . | nindent 4 }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: {{ include "piedeck.fullname" . }}-proxy-role
subjects:
  - kind: ServiceAccount
    name: {{ include "piedeck.serviceAccountName" . }}
    namespace: {{ .Release.Namespace }}
{{- end }}